You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by xi...@apache.org on 2020/09/17 11:32:19 UTC

[incubator-nuttx-testing] branch master updated: cibuild.sh: add objcopy support to MacOS

This is an automated email from the ASF dual-hosted git repository.

xiaoxiang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx-testing.git


The following commit(s) were added to refs/heads/master by this push:
     new 318f657  cibuild.sh: add objcopy support to MacOS
318f657 is described below

commit 318f6577da13c0b1616294ca0bc44289ddd487c8
Author: ligd <li...@xiaomi.com>
AuthorDate: Thu Sep 17 15:42:44 2020 +0800

    cibuild.sh: add objcopy support to MacOS
    
    Signed-off-by: ligd <li...@xiaomi.com>
---
 cibuild.sh | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/cibuild.sh b/cibuild.sh
index 062a03b..ab76bd9 100755
--- a/cibuild.sh
+++ b/cibuild.sh
@@ -37,7 +37,7 @@ EXTRA_PATH=
 
 case $os in
   Darwin)
-    install="python-tools u-boot-tools discoteq-flock elf-toolchain gen-romfs kconfig-frontends arm-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain avr-gcc-toolchain c-cache"
+    install="python-tools u-boot-tools discoteq-flock elf-toolchain gen-romfs kconfig-frontends arm-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain avr-gcc-toolchain c-cache binutils"
     mkdir -p ${prebuilt}/homebrew
     export HOMEBREW_CACHE=${prebuilt}/homebrew
     ;;
@@ -325,6 +325,18 @@ function c-cache {
   ln -sf `which ccache` $prebuilt/ccache/bin/avr-g++
 }
 
+function binutils {
+  add_path /usr/local/binutils/bin/
+
+  if ! type objcopy > /dev/null; then
+    case $os in
+      Darwin)
+        brew install binutils
+        ;;
+    esac
+  fi
+}
+
 function usage {
   echo ""
   echo "USAGE: $0 [-i] [-s] [-c] [-*] <testlist>"